Unit tde91e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE91E_p, FJDE91E_p, DE91E_p;

function tde91e: String;

implementation

function tde91e: String;
var
M,IH,IERR :Integer;
H :Extended;
XN,HMIN,EPS,P,XK,T1,T2,T3,Y1,Y2,Y3,Y4,A,B,C,DD,FF,GG,QQ :Extended;
YN :Array [0..3] of Extended;
Y :Array [0..3] of Extended;
R :Array [0..80] of Extended;
label
_10;
begin
Result := '';  {   }
M := 4;
XN := 0.e0;
YN[0] := 1.e0;
YN[1] := 1.e0;
YN[2] := 1.e0;
YN[3] := 1.e0;
HMIN := 1.e-10;
EPS := 1.e-2;
P := 100.e0;
XK := 20.e0;
{  BCEHE TOHOO PEEH CCTEM: }
Y4 := Exp(-0.1*XK);
T1 := Exp(-XK);
Y3 := -(9.1e0/0.9e0)*T1 + (10.e0/0.9e0)*Y4;
T2 := Exp(-1.e3*XK);
A := -91.e0/(0.9e0*999.e0);
B := 91.e0/(0.9e0*999.9e0);
C := 1.e0-A-B;
Y2 := C*T2+A*T1+B*Y4;
T3 := Exp(-1.e4*XK);
DD := C/90.e0;
FF := (100.e0*A+91.e0/0.9e0)/9999.e0;
GG := (100.e0*B-100.e0/0.9e0+1.e0)/9999.9e0;
QQ := 1.e0-DD-FF-GG;
Y1 := QQ*T3+DD*T2+FF*T1+GG*Y4;
Result := Result + Format(' %20.16f  %20.16f  %20.16f  %20.16f ',
 [Y1,Y2,Y3,Y4]) + #$0D#$0A;
IH := 0;
_10:
IH := IH + 1;
H := 0.01e0;
DE91E (FDE91E,FJDE91E,M,XN,YN,XK,HMIN,EPS,P,H,Y,R,IERR);
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
Result := Result + Format('%s',[' EPS= ']);
Result := Result + Format('%20.16f ',[EPS]) + #$0D#$0A;
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
Result := Result + Format(' %20.16f  %20.16f  %20.16f  %20.16f ',
 [Y[0],Y[1],Y[2],Y[3]]) + #$0D#$0A;
Result := Result + Format('%s',[' H= ']);
Result := Result + Format('%20.16f ',[H]) + #$0D#$0A;
EPS := EPS*1.e-1;
if ( IH < 3 ) 
 then goto _10;
UtRes('tde91e',Result);  {     tde91e.res }
exit;
end;

end.
